%define oname   rvm

Name:       ruby-%{oname}
Version:    1.6.3
Release:    %mkrel 1
Summary:    RVM is the Ruby Version Manager (rvm)
License:    MIT
Group:      Development/Ruby
URL:        http://rvm.beginrescueend.com
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe)
BuildRequires: rubygem(rake)
Requires:   autoconf
Requires:   byacc
Requires:   readline-devel
Requires:   tcl-devel
Requires:   tk-devel
Requires:   db4-devel
Requires:   libgdbm-devel
Requires:   openssl-devel
Requires:   zlib-devel
Requires:   gcc-c++
Requires:   git
Requires:   curl
Requires:   patch
Requires:   yaml-devel
Requires:   libxml2-devel
# For JRuby
Suggests:   java-1.6.0-sun
# For IronRuby
Suggests:   mono-devel
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
RVM is the Ruby Version Manager (rvm). It manages Ruby interpreter
environments and switching between them.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Mon Apr 18 2011 shikamaru <shikamaru> 1.6.3-1.mga1
+ Revision: 87855
- new version 1.6.3

* Tue Apr 12 2011 shikamaru <shikamaru> 1.5.2-1.mga1
+ Revision: 83995
- imported package ruby-rvm


* Tue Apr 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.5.2-1.mga1
- Initial package
